This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 206890 - Lets you enable NIS without configuring
Lets you enable NIS without configuring
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-17 15:34 EDT by Mark Wielaard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-20 16:47:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Wielaard 2006-09-17 15:34:51 EDT
Description of problem:

Instead of creating an account you can enable NIS. If you enable, but forget to
actually configure you can then not login at the gdm screen but there is no
indication that nis is not configured correctly.

Version-Release number of selected component (if applicable):

fc6t3

How reproducible:


Steps to Reproduce:
1. Enable NIS checkbox
2. Forget to click on configure NIS
3.
  
Actual results:

No warning is displayed.

Expected results:

When enabling NIS ask for configuration info.

Additional info:

This is minor. But I did forget to click the configure button. Now that I
retraced my steps I do see the big "Configure NIS..." button which does get
enabled when enabling the nis checkbox. But to safe someone else some headache
it would be nice to detect enabling any of the additional authentication
services without configuring them.
Comment 1 Tomas Mraz 2006-09-20 16:47:31 EDT
Well I don't think we can prevent all the ways people can shoot in their foot.
This one would be particularly hard to prevent as they can also click on
configure NIS... and don't change anything there and so on.

Note You need to log in before you can comment on or make changes to this bug.